diff --git a/common/rtusb_dev_id.c b/common/rtusb_dev_id.c
index e68646b..a1b7ba4 100644
--- a/common/rtusb_dev_id.c
+++ b/common/rtusb_dev_id.c
@@ -102,6 +102,7 @@ USB_DEVICE_ID rtusb_dev_id[] = {
 	{USB_DEVICE(0x1737,0x0070)}, /* Linksys WUSB100 */
 	{USB_DEVICE(0x1737,0x0071)}, /* Linksys WUSB600N */
 	{USB_DEVICE(0x0411,0x00e8)}, /* Buffalo WLI-UC-G300N*/
+	{USB_DEVICE(0x0411,0x0148)}, /* Buffalo WLI-UC-G300HP */
 	{USB_DEVICE(0x050d,0x815c)}, /* Belkin F5D8053 */
 	{USB_DEVICE(0x100D,0x9031)}, /* Motorola 2770 */
 	{USB_DEVICE(0x0DB0,0x6899)},
diff --git a/include/os/rt_linux.h b/include/os/rt_linux.h
index a6e4379..b8f4e51 100644
--- a/include/os/rt_linux.h
+++ b/include/os/rt_linux.h
@@ -1074,8 +1074,8 @@ typedef struct usb_device_id USB_DEVICE_ID;
 #define RT28XX_PUT_DEVICE													usb_put_dev
 #define RTUSB_ALLOC_URB(iso)												usb_alloc_urb(iso, GFP_ATOMIC)
 #define RTUSB_SUBMIT_URB(pUrb)												usb_submit_urb(pUrb, GFP_ATOMIC)
-#define RTUSB_URB_ALLOC_BUFFER(pUsb_Dev, BufSize, pDma_addr)				usb_buffer_alloc(pUsb_Dev, BufSize, GFP_ATOMIC, pDma_addr)
-#define RTUSB_URB_FREE_BUFFER(pUsb_Dev, BufSize, pTransferBuf, Dma_addr)	usb_buffer_free(pUsb_Dev, BufSize, pTransferBuf, Dma_addr)
+#define RTUSB_URB_ALLOC_BUFFER(pUsb_Dev, BufSize, pDma_addr)				usb_alloc_coherent(pUsb_Dev, BufSize, GFP_ATOMIC, pDma_addr)
+#define RTUSB_URB_FREE_BUFFER(pUsb_Dev, BufSize, pTransferBuf, Dma_addr)	usb_free_coherent(pUsb_Dev, BufSize, pTransferBuf, Dma_addr)
 #else
 
 #define RT28XX_PUT_DEVICE													rausb_put_dev
diff --git a/os/linux/config.mk b/os/linux/config.mk
index 11052df..e0cd377 100644
--- a/os/linux/config.mk
+++ b/os/linux/config.mk
@@ -8,10 +8,10 @@ HAS_QA_SUPPORT=n
 HAS_XLINK=n
 
 # Support Wpa_Supplicant
-HAS_WPA_SUPPLICANT=n
+HAS_WPA_SUPPLICANT=y
 
 # Support Native WpaSupplicant for Network Maganger
-HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=n
+HAS_NATIVE_WPA_SUPPLICANT_SUPPORT=y
 
 #Support Net interface block while Tx-Sw queue full
 HAS_BLOCK_NET_IF=n
